const mongoose = require('mongoose');

// Define the schema for storing VIN, HTML content, and file paths for CSS/JS
const CssDataSchema = new mongoose.Schema({
    vin: {
        type: String,
        required: true,
        unique: true,
    },
    cssContent: {
        type: String, // Store the filenames of the CSS files
        required: false,
    },
});

const CssData = mongoose.model('CssData', CssDataSchema);
module.exports = CssData;
